
function love.load()
     font = love.graphics.newImageFont( 'font_example.png', ' ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789' )
	 loop = 0
	 world = love.physics.newWorld(0, 200, true)
        world:setCallbacks(beginContact, endContact, preSolve, postSolve)

	player = {}
	player.speed = 2
	animation1 = 0
	animation2 = 3
	animation3 = 6
	player.x = 200
	player.y = 200
	player.b = love.physics.newBody(world, player.x + 19, player.y + 14, "dynamic")
	player.b:setMass(20)
    player.s = love.physics.newRectangleShape(player.b:getX()+ 19, player.b:getY() + 14, 20, 20)
    player.f  = love.physics.newFixture(player.b, player.s)
    player.f:setRestitution(0.001)

    Hero = love.graphics.newImage("Sprite_hero down 1.png")
	backgroung = love.graphics.newImage("backgroung.png")

	shape = {}
    shape.b = love.physics.newBody(world, 100, 100, static) 
	shape.s = love.physics.newRectangleShape(100, 100, 10, 10)
	shape.f = love.physics.newFixture(shape.b, shape.s)

function love.update(dt)
	world:update(dt)
	loop = loop + 1
	if (loop > animation3) then
	loop = 0
    end
	if love.keyboard.isDown("right")then
		  player.b:applyForce(0, 1000)
		   if (loop == animation2) then
		Hero = love.graphics.newImage("autres sprites/sprites droite/droite1.png")
	   elseif (loop == animation3) then
		Hero = love.graphics.newImage("autres sprites/sprites droite/droite2.png")
	   elseif (loop == animation1) then
		Hero = love.graphics.newImage("autres sprites/sprites droite/droite3.png")
	   end
		  elseif love.keyboard.isDown("left")then
		  player.b:applyForce(0, -1000)
		   if (loop == animation2) then
		Hero = love.graphics.newImage("autres sprites/sprites gauche/gauche1.png")
	   elseif (loop == animation3) then
		Hero = love.graphics.newImage("autres sprites/sprites gauche/gauche2.png")
	   elseif (loop == animation1) then
		Hero = love.graphics.newImage("autres sprites/sprites gauche/gauche3.png")
	  end
    end
    if love.keyboard.isDown("up")then
         player.b:applyForce(1000, 0)
       if (loop == animation2) then
		Hero = love.graphics.newImage("autres sprites/sprites up/Sprite_hero up2.png")
	   elseif (loop == animation3) then
		Hero = love.graphics.newImage("autres sprites/sprites up/Sprite_hero up3.png")
	   elseif (loop == animation1) then
		Hero = love.graphics.newImage("autres sprites/sprites up/Sprite_hero up1.png")
	   end
    elseif love.keyboard.isDown("down")then
    	  player.b:applyForce(-1000,0)
	   if (loop == animation2) then
		Hero = love.graphics.newImage("Sprite_hero down 2.png")
	   elseif (loop == animation3) then
		Hero = love.graphics.newImage("Sprite_hero down 3.png")
	   elseif (loop == animation1) then
		Hero = love.graphics.newImage("Sprite_hero down 1.png")
	  end
    end
end
function beginContact(a, b, coll)
    x,y = coll:getNormal()
end

function love.draw()   
	love.graphics.scale(1.8, 1.8) 
    for i = 0, love.graphics.getWidth() / backgroung:getWidth() do
    for j = 0, love.graphics.getHeight() / backgroung:getHeight() do
     love.graphics.draw(backgroung, i * backgroung:getWidth(), j * backgroung:getHeight())
	end
   end
    love.graphics.draw(Hero, player.x, player.y)           
    love.graphics.rectangle("line", player.b:getX()+ 19, player.b:getY()+ 14, 20, 20)
    love.graphics.rectangle("fill",100, 100, 10, 10)
    
    love.graphics.setFont( font )
    love.graphics.print( 'YOU MUST DEFEAT ALL ENEMIES.',0 , 0 )
    love.graphics.print( 'Try not to die.', 0, 15) 

 end
end